// ***************************************************************************
// Implementation System Includes
// ***************************************************************************

#include <be/app/Roster.h>
#include <string.h>

// ***************************************************************************
// Implementation Project Includes
// ***************************************************************************

#include "SoundPlayAddOn.h"
#include "SoundPlayPlayer.h"

// ***************************************************************************
// Implementation Constant Definitions
// ***************************************************************************

// ***************************************************************************
// Implementation Type Definitions
// ***************************************************************************

// ***************************************************************************
// Implementation Variable Definitions
// ***************************************************************************

// ***************************************************************************
// Implementation Function Declarations
// ***************************************************************************

// ***************************************************************************
// Global Variable Definitions
// ***************************************************************************

// ***************************************************************************
// PUBLIC Member Function Definitions
// ***************************************************************************

// ===========================================================================
// Constructor
// ===========================================================================

SoundPlayAddOn::SoundPlayAddOn(void)
	: HustlerAddOn()
{
	BBG_WRITE(("[SoundPlayAddOn::SoundPlayAddOn] Constructed."));
}

// ===========================================================================
// Destructor
// ===========================================================================

SoundPlayAddOn::~SoundPlayAddOn(void)
{
	BBG_WRITE(("[SoundPlayAddOn::~SoundPlayAddOn] Destructed."));
}

// ===========================================================================
// GetInfo
// ===========================================================================

char*
SoundPlayAddOn::GetInfo(void)
{
	return "SoundPlay remote control add-on\n"
		"Written by Matthijs Hollemans.";
}

// ===========================================================================
// GetPlayerName
// ===========================================================================

int32
SoundPlayAddOn::GetPlayerName(int32 index, char* &name)
{
	if (index == 0)
	{
		name = "SoundPlay Remote Control";
		team = be_roster->TeamFor("application/x-vnd.marcone-soundplay");
		if (team != B_ERROR)
		{
			return NAME_OK;
		}
		return NAME_NOT_AVAILABLE;
	}
	return NAME_NO_MORE_NAMES;
}

// ===========================================================================
// GetPlayer
// ===========================================================================
	
HustlerPlayer* 
SoundPlayAddOn::GetPlayer(const char* name)
{
	return new SoundPlayPlayer(team);
}

// ***************************************************************************
// PROTECTED Member Function Definitions
// ***************************************************************************

// ***************************************************************************
// PRIVATE Member Function Definitions
// ***************************************************************************

// ***************************************************************************
// Helper Function Definitions
// ***************************************************************************

// ***************************************************************************
// Global Function Definitions
// ***************************************************************************

// ===========================================================================
// InstantiateHustlerAddOn
// ===========================================================================

HustlerAddOn* 
InstantiateHustlerAddOn()
{
	BBG_ENTER("[InstantiateHustlerAddOn]");
	return new SoundPlayAddOn();
}

// ***************************************************************************
// Implementation Function Definitions
// ***************************************************************************
